"use client";

import { Button } from "@/components/ui/button";
import { useSession } from "next-auth/react";
import Link from "next/link";

export function LoginButton() {
  const { data: session } = useSession();

  if (session || true) {
    return (
      <>
        <Link href={"/panel"}>
          <Button variant="outline">continue</Button>
        </Link>
        <img
          src={`https://api.gifbox.me/file/posts/QF8HezSH-AtTM9hT4pKISu-foBzdRC4e.webp`}
          height={320}
        />
      </>
    );
  }

  return (
    <>
      <Link href={"/panel"}>
        <Button variant="outline">login with revolt sso</Button>
      </Link>
      <img
        src={`https://api.gifbox.me/file/posts/w7iUJfiyKA_zGkHN7Rr625WpaTHYgm4v.webp`}
        height={320}
      />
    </>
  );
}
